Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class QuartzSchedulerResources

    java.lang.Object
      org.quartz.core.QuartzSchedulerResources

    public class QuartzSchedulerResources

extends Object

Contains all of the resources (`JobStore`,`ThreadPool`, etc.) necessary to create a ``QuartzScheduler`` instance.

Author:
  James House
See Also:
  `QuartzScheduler`

Field Summary
`static String` | `CREATE_REGISTRY_ALWAYS`
`static String` | `CREATE_REGISTRY_AS_NEEDED`
`static String` | `CREATE_REGISTRY_NEVER`

Constructor Summary
`QuartzSchedulerResources()` Create an instance with no properties initialized.

Method Summary
`void` | `addSchedulerPlugin(SchedulerPlugin plugin)` Add the given ``SchedulerPlugin`` for the ``QuartzScheduler`` to use.
`static String` | `generateJMXObjectName(String schedName, String schedInstId)` Create the name under which this scheduler should be registered in JMX.
`String` | `getInstanceId()` Get the instance Id for the ``QuartzScheduler``.
`boolean` | `getJMXExport()` Get whether the QuartzScheduler should be registered with the local MBeanServer.
`String` | `getJMXObjectName()` Get the name under which the QuartzScheduler should be registered with the local MBeanServer.
`JobRunShellFactory` | `getJobRunShellFactory()` Get the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.
`JobStore` | `getJobStore()` Get the ``JobStore`` for the ``QuartzScheduler`` to use.
`boolean` | `getMakeSchedulerThreadDaemon()` Get whether to mark the Quartz scheduling thread as daemon.
`String` | `getName()` Get the name for the ``QuartzScheduler``.
`String` | `getRMIBindName()` Get the name under which to bind the QuartzScheduler in RMI.
`String` | `getRMICreateRegistryStrategy()` Get the setting of whether or not Quartz should create an RMI Registry, and if so, how.
`String` | `getRMIRegistryHost()` Get the host name of the RMI Registry that the scheduler should export itself to.
`int` | `getRMIRegistryPort()` Get the port number of the RMI Registry that the scheduler should export itself to.
`int` | `getRMIServerPort()` Get the port number the scheduler server will be bound to.
`List` | `getSchedulerPlugins()` Get the `List` of all ``SchedulerPlugin``s for the ``QuartzScheduler`` to use.
`ThreadExecutor` | `getThreadExecutor()` Get the ThreadExecutor which runs the QuartzSchedulerThread
`String` | `getThreadName()` Get the name for the ``QuartzSchedulerThread``.
`ThreadPool` | `getThreadPool()` Get the ``ThreadPool`` for the ``QuartzScheduler`` to use.
`String` | `getUniqueIdentifier()`
`static String` | `getUniqueIdentifier(String schedName, String schedInstId)`
`boolean` | `isInterruptJobsOnShutdown()`
`boolean` | `isInterruptJobsOnShutdownWithWait()`
`boolean` | `isRunUpdateCheck()`
`boolean` | `isThreadsInheritInitializersClassLoadContext()` Get whether to set the class load context of spawned threads to that of the initializing thread.
`void` | `setInstanceId(String instanceId)` Set the name for the ``QuartzScheduler``.
`void` | `setInterruptJobsOnShutdown(boolean interruptJobsOnShutdown)`
`void` | `setInterruptJobsOnShutdownWithWait(boolean interruptJobsOnShutdownWithWait)`
`void` | `setJMXExport(boolean jmxExport)` Set whether the QuartzScheduler should be registered with the local MBeanServer.
`void` | `setJMXObjectName(String jmxObjectName)` Set the name under which the QuartzScheduler should be registered with the local MBeanServer.
`void` | `setJobRunShellFactory(JobRunShellFactory jobRunShellFactory)` Set the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.
`void` | `setJobStore(JobStore jobStore)` Set the ``JobStore`` for the ``QuartzScheduler`` to use.
`void` | `setMakeSchedulerThreadDaemon(boolean makeSchedulerThreadDaemon)` Set whether to mark the Quartz scheduling thread as daemon.
`void` | `setName(String name)` Set the name for the ``QuartzScheduler``.
`void` | `setRMIBindName(String rmiBindName)` Set the name under which to bind the QuartzScheduler in RMI.
`void` | `setRMICreateRegistryStrategy(String rmiCreateRegistryStrategy)` Set whether or not Quartz should create an RMI Registry, and if so, how.
`void` | `setRMIRegistryHost(String hostName)` Set the host name of the RMI Registry that the scheduler should export itself to.
`void` | `setRMIRegistryPort(int port)` Set the port number of the RMI Registry that the scheduler should export itself to.
`void` | `setRMIServerPort(int port)` Set the port number the scheduler server will be bound to.
`void` | `setRunUpdateCheck(boolean runUpdateCheck)`
`void` | `setThreadExecutor(ThreadExecutor threadExecutor)` Set the ThreadExecutor which runs the QuartzSchedulerThread
`void` | `setThreadName(String threadName)` Set the name for the ``QuartzSchedulerThread``.
`void` | `setThreadPool(ThreadPool threadPool)` Set the ``ThreadPool`` for the ``QuartzScheduler`` to use.
`void` | `setThreadsInheritInitializersClassLoadContext(boolean threadsInheritInitializersClassLoadContext)` Set whether to set the class load context of spawned threads to that of the initializing thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE_REGISTRY_NEVER

    public static final String CREATE_REGISTRY_NEVER

See Also:
  Constant Field Values

### CREATE_REGISTRY_ALWAYS

    public static final String CREATE_REGISTRY_ALWAYS

See Also:
  Constant Field Values

### CREATE_REGISTRY_AS_NEEDED

    public static final String CREATE_REGISTRY_AS_NEEDED

See Also:
  Constant Field Values

Constructor Detail

### QuartzSchedulerResources

    public QuartzSchedulerResources()

  Create an instance with no properties initialized.

Method Detail

### getName

    public String getName()

  Get the name for the ``QuartzScheduler``.

### setName

    public void setName(String name)

  Set the name for the ``QuartzScheduler``.

  Throws:
    `IllegalArgumentException` - if name is null or empty.

### getInstanceId

    public String getInstanceId()

  Get the instance Id for the ``QuartzScheduler``.

### setInstanceId

    public void setInstanceId(String instanceId)

  Set the name for the ``QuartzScheduler``.

  Throws:
    `IllegalArgumentException` - if name is null or empty.

### getUniqueIdentifier

    public static String getUniqueIdentifier(String schedName,
                                             String schedInstId)

### getUniqueIdentifier

    public String getUniqueIdentifier()

### getRMIRegistryHost

    public String getRMIRegistryHost()

  Get the host name of the RMI Registry that the scheduler should export itself to.

### setRMIRegistryHost

    public void setRMIRegistryHost(String hostName)

  Set the host name of the RMI Registry that the scheduler should export itself to.

### getRMIRegistryPort

    public int getRMIRegistryPort()

  Get the port number of the RMI Registry that the scheduler should export itself to.

### setRMIRegistryPort

    public void setRMIRegistryPort(int port)

  Set the port number of the RMI Registry that the scheduler should export itself to.

### getRMIServerPort

    public int getRMIServerPort()

  Get the port number the scheduler server will be bound to.

### setRMIServerPort

    public void setRMIServerPort(int port)

  Set the port number the scheduler server will be bound to.

### getRMICreateRegistryStrategy

    public String getRMICreateRegistryStrategy()

  Get the setting of whether or not Quartz should create an RMI Registry, and if so, how.

### getThreadName

    public String getThreadName()

  Get the name for the ``QuartzSchedulerThread``.

### setThreadName

    public void setThreadName(String threadName)

  Set the name for the ``QuartzSchedulerThread``.

  Throws:
    `IllegalArgumentException` - if name is null or empty.

### setRMICreateRegistryStrategy

    public void setRMICreateRegistryStrategy(String rmiCreateRegistryStrategy)

  Set whether or not Quartz should create an RMI Registry, and if so, how.

  See Also:
    `CREATE_REGISTRY_ALWAYS`, `CREATE_REGISTRY_AS_NEEDED`, `CREATE_REGISTRY_NEVER`

### getThreadPool

    public ThreadPool getThreadPool()

  Get the ``ThreadPool`` for the ``QuartzScheduler`` to use.

### setThreadPool

    public void setThreadPool(ThreadPool threadPool)

  Set the ``ThreadPool`` for the ``QuartzScheduler`` to use.

  Throws:
    `IllegalArgumentException` - if threadPool is null.

### getJobStore

    public JobStore getJobStore()

  Get the ``JobStore`` for the ``QuartzScheduler`` to use.

### setJobStore

    public void setJobStore(JobStore jobStore)

  Set the ``JobStore`` for the ``QuartzScheduler`` to use.

  Throws:
    `IllegalArgumentException` - if jobStore is null.

### getJobRunShellFactory

    public JobRunShellFactory getJobRunShellFactory()

  Get the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.

### setJobRunShellFactory

    public void setJobRunShellFactory(JobRunShellFactory jobRunShellFactory)

  Set the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.

  Throws:
    `IllegalArgumentException` - if jobRunShellFactory is null.

### addSchedulerPlugin

    public void addSchedulerPlugin(SchedulerPlugin plugin)

  Add the given ``SchedulerPlugin`` for the ``QuartzScheduler`` to use. This method expects the plugin's "initialize" method to be invoked externally (either before or after this method is called).

### getSchedulerPlugins

    public List getSchedulerPlugins()

  Get the `List` of all ``SchedulerPlugin``s for the ``QuartzScheduler`` to use.

### getMakeSchedulerThreadDaemon

    public boolean getMakeSchedulerThreadDaemon()

  Get whether to mark the Quartz scheduling thread as daemon.

  See Also:
    `Thread.setDaemon(boolean)`

### setMakeSchedulerThreadDaemon

    public void setMakeSchedulerThreadDaemon(boolean makeSchedulerThreadDaemon)

  Set whether to mark the Quartz scheduling thread as daemon.

  See Also:
    `Thread.setDaemon(boolean)`

### isThreadsInheritInitializersClassLoadContext

    public boolean isThreadsInheritInitializersClassLoadContext()

  Get whether to set the class load context of spawned threads to that of the initializing thread.

### setThreadsInheritInitializersClassLoadContext

    public void setThreadsInheritInitializersClassLoadContext(boolean threadsInheritInitializersClassLoadContext)

  Set whether to set the class load context of spawned threads to that of the initializing thread.

### getRMIBindName

    public String getRMIBindName()

  Get the name under which to bind the QuartzScheduler in RMI. Will return the value of the uniqueIdentifier property if explict RMI bind name was never set.

  See Also:
    `getUniqueIdentifier()`

### setRMIBindName

    public void setRMIBindName(String rmiBindName)

  Set the name under which to bind the QuartzScheduler in RMI. If unset, defaults to the value of the uniqueIdentifier property.

  See Also:
    `getUniqueIdentifier()`

### getJMXExport

    public boolean getJMXExport()

  Get whether the QuartzScheduler should be registered with the local MBeanServer.

### setJMXExport

    public void setJMXExport(boolean jmxExport)

  Set whether the QuartzScheduler should be registered with the local MBeanServer.

### getJMXObjectName

    public String getJMXObjectName()

  Get the name under which the QuartzScheduler should be registered with the local MBeanServer. If unset, defaults to the value calculated by `generateJMXObjectName`.

  ``
  See Also:
    `generateJMXObjectName(String, String)`

### setJMXObjectName

    public void setJMXObjectName(String jmxObjectName)

  Set the name under which the QuartzScheduler should be registered with the local MBeanServer. If unset, defaults to the value calculated by `generateJMXObjectName`.

  ``
  See Also:
    `generateJMXObjectName(String, String)`

### getThreadExecutor

    public ThreadExecutor getThreadExecutor()

  Get the ThreadExecutor which runs the QuartzSchedulerThread

  Returns:

### setThreadExecutor

    public void setThreadExecutor(ThreadExecutor threadExecutor)

  Set the ThreadExecutor which runs the QuartzSchedulerThread

  Parameters:
    `threadExecutor` -

### generateJMXObjectName

    public static String generateJMXObjectName(String schedName,
                                               String schedInstId)

  Create the name under which this scheduler should be registered in JMX.

  The name is composed as: quartz:type=QuartzScheduler,name=[schedName],instance=[schedInstId]

### isRunUpdateCheck

    public boolean isRunUpdateCheck()

### setRunUpdateCheck

    public void setRunUpdateCheck(boolean runUpdateCheck)

### isInterruptJobsOnShutdown

    public boolean isInterruptJobsOnShutdown()

### setInterruptJobsOnShutdown

    public void setInterruptJobsOnShutdown(boolean interruptJobsOnShutdown)

### isInterruptJobsOnShutdownWithWait

    public boolean isInterruptJobsOnShutdownWithWait()

### setInterruptJobsOnShutdownWithWait

    public void setInterruptJobsOnShutdownWithWait(boolean interruptJobsOnShutdownWithWait)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.